# pro-archman
# src/cmd/copy-suite.sh
# "copy-suite" command
#
# Copyright (C) 2013  Patrick McDermott
#
# This file is part of the ProteanOS Archive Manager.
#
# The ProteanOS Archive Manager is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Archive Manager is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Archive Manager.  If not, see
# <http://www.gnu.org/licenses/>.

cmd_copy_suite_main()
{
	local src_suite="${1}"
	local dst_suite="${2}"
	shift 2
	local src_chan=
	local src_dist=
	local dst_chan=
	local dst_dist=

	init

	src_chan="${src_suite%/*}"
	src_dist="${src_suite##*/}"
	if [ "x${src_chan}" = "x${src_suite}" ]; then
		src_chan="${conf_incoming_channel}"
	fi
	dst_chan="${dst_suite%/*}"
	dst_dist="${dst_suite##*/}"
	if [ "x${dst_chan}" = "x${dst_suite}" ]; then
		dst_chan="${conf_incoming_channel}"
	fi

	copy_suite "${src_chan}" "${src_dist}" "${dst_chan}" "${dst_dist}"

	fini

	return 0
}

cmd_copy_suite_register()
{
	register_cmd 'copy-suite'
}
__init cmd_copy_suite_register
